#    Society Self-Service
#    Copyright © 2018-2019  Yingtong Li (RunasSudo)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.

from django.db import models

class Member(models.Model):
	email = models.CharField(max_length=100)
	
	first_name = models.CharField(max_length=100)
	last_name = models.CharField(max_length=100)
	
	student_id = models.CharField(max_length=8)
	is_msa = models.BooleanField()
	
	year = models.IntegerField(
		choices = (
			(0, 'Year A'),
			(1, 'Year 1'),
			(2, 'Year 2'),
			(3, 'Year 3B'),
			(4, 'Year 4C'),
			(5, 'Year 5D'),
			(97, 'BMedSc(Hons)'),
			(98, 'PhD'),
			(99, 'Intermission'),
		)
	)
	
	phone = models.CharField(max_length=20)
	
	expires = models.DateField()
